From 4a7282d7c05e28f36048ba56bbb83969d2806979 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@penguin.cs.ucla.edu>
Date: Mon, 25 Apr 2016 15:19:55 -0700
Subject: [PATCH] Say why text-quoting-style is not a user option

* doc/lispref/help.texi (Keys in Documentation):
* etc/NEWS: Document why text-quoting-style is not a
customizable variable (Bug#23372).
---
 doc/lispref/help.texi | 4 ++++
 etc/NEWS              | 3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/doc/lispref/help.texi b/doc/lispref/help.texi
index 0b8182c..58a11f2 100644
--- a/doc/lispref/help.texi
+++ b/doc/lispref/help.texi
@@ -362,6 +362,10 @@ Keys in Documentation
 before Emacs version 25.  The default value @code{nil}
 acts like @code{curve} if curved single quotes are displayable, and
 like @code{grave} otherwise.
+
+This variable can be used by experts on platforms that have problems
+with curved quotes.  As it is not intended for casual use, it is not a
+user option.
 @end defvar
 
 @defun substitute-command-keys string
diff --git a/etc/NEWS b/etc/NEWS
index 7bedced..a50469c 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1472,7 +1472,8 @@ Set it to 'curve' for curved single quotes, to 'straight' for straight
 apostrophes, and to 'grave' for grave accent and apostrophe.  The
 default value nil acts like 'curve' if curved single quotes are
 displayable, and like 'grave' otherwise.  The new variable affects
-display of diagnostics and help, but not of info.
+display of diagnostics and help, but not of info.  As the variable is
+not intended for casual use, it is not a user option.
 
 +++
 ** substitute-command-keys now replaces quotes.
-- 
2.5.5

